Subject: Re: [PATCH 2/2] mvneta: use inband status only when link type is "auto"

From: Stas Sergeev <[email-masked]>
Date: Thu, 9 Jul 2015 23:26:25 +0300

09.07.2015 21:18, Florian Fainelli пишет:
> On 09/07/15 10:41, Stas Sergeev wrote:
>> The commit 898b2970e2c9 ("mvneta: implement SGMII-based in-band link state
>> signaling") implemented the link parameters auto-negotiation unconditionally.
>> Unfortunately it appears that some HW that implements SGMII protocol,
>> doesn't generate the inband status, so it is not possible to auto-negotiate
>> anything with such HW.
> What is the purpose of using the in-band status in the first place if
> you end-up having to specify a 'fixed-link' property which contains most
> of the link parameters: speed, duplex etc...?
You don't have to.
My config from today is as simple as:

fixed-link {
   link = "auto";
};

and that's all.
Without my today's patch, only 'speed' is a mandatory - not too much.